
Figure - Bug #111269
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110870 (New): BSP-BVT测试--有线网络测试

【BSP】【EVT】【以太网】【必现】以太网和wifi同时连接情况下，以太网优先
2022-08-16 13:47 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-16

Priority: High Due date: 2022-08-22

Assignee: SZTS_TEST 邹涛 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V1.0_update_20220925

Need_Info: Found Version: 0812-2031

Resolution: FIXED Degrated:

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause: IP都是静态设置的

Description

前置条件：

1、以太网盒子已经成功连接到板子上

2、手机开启热点

操作步骤：

1、将网线插到以太网盒子上，以太网连接成功后；shell内执行ping 192.168.1.1（路由器网关IP）

2、手机开启热点，DUT成功连接到手机热点；shell内执行ping www.baidu.com

实际结果：

1、以太网和wifi同时连接情况下，以太网优先；所有流量都走的以太网

2、ping www.baidu.com 无法ping通

预期结果：

1、以太网和wifi可以同时连接，DUT根据路由表规则配置；流量分别走wifi和以太网

History

#1 - 2022-08-16 16:04 - SZTS_TEST 邹涛

- Tracker changed from 测试 Test-IT to Bug

- Severity set to Critical

- Reproducibility set to Every time

- Test Type set to Bring Up Test

- Found Version set to 0812-2031

#2 - 2022-09-14 11:16 - CD TPM-申艳艳

- Category set to BSP

- Assignee changed from SZ BSP-刘世江 to CD BSP-唐金泽

Hi 金泽，

如果没问题就走关闭流程吧， 谢谢

#3 - 2022-09-15 17:39 - CDTS-TEST 周婷

- Assignee changed from CD BSP-唐金泽 to CD LC-徐玺栋
#4 - 2022-09-15 18:39 - CDTS-TEST 周婷

- Target version changed from 590 to VX1_MCE_FSE_V1.0_update_20220925

#5 - 2022-09-19 18:27 - CD TPM-申艳艳

- Category changed from BSP to LC

#6 - 2022-09-20 09:40 - CD LC-徐玺栋

- Status changed from New to ASSIGNED

#7 - 2022-09-21 12:47 - CD LC 陶洪普

更新:

已经编译VB,请测试确认,反馈验证pass.

在和测试确认一些测试细节.

计划今天合入patch.

#8 - 2022-09-21 18:58 - CD LC-徐玺栋

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD LC-徐玺栋 to SZTS_TEST 邹涛

■ Current conclusion

修改已经提交到gerrit上，但由于系统崩溃无法进行VB编译；

■ My analysis

应该可以解决此问题；

■ Next action

预计今晚入库请测试同学在9.22的DB上进行复测

gerrit提交地址

https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Connectivity/+/149634

https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/Wifi/+/149636

#9 - 2022-09-22 15:41 - CD LC-徐玺栋

- Resolution set to FIXED

#10 - 2022-09-24 19:48 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

0924号release版本验证wifi和以太网同时连接后，可以同时ping通以太网和wifi的网关。关闭该bug

#11 - 2022-09-24 19:50 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#12 - 2022-09-27 18:25 - CD LC-徐玺栋

- Root cause set to IP都是静态设置的
